### Interface

# Nautilus InfoProvider

#### Description

    interface Nautilus.InfoProvider : GObject.Object

No description available.

#### Prerequisite

In order to implement InfoProvider, your type must inherit from`GObject`.

#### Functions

###### nautilus_info_provider_update_complete_invoke

No description available.

#### Instance methods

###### nautilus_info_provider_cancel_update

No description available.

###### nautilus_info_provider_update_file_info

No description available.

#### Interface structure

    struct NautilusInfoProviderInterface {
      GTypeInterface g_iface;
      NautilusOperationResult (* update_file_info) (
        NautilusInfoProvider* provider,
        NautilusFileInfo* file,
        GClosure* update_complete,
        NautilusOperationHandle** handle
      );
      void (* cancel_update) (
        NautilusInfoProvider* provider,
        NautilusOperationHandle* handle
      );

    }

Interface for extensions to provide additional information about files.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.
`update_file_info` |
    NautilusOperationResult (* update_file_info) (
        NautilusInfoProvider* provider,
        NautilusFileInfo* file,
        GClosure* update_complete,
        NautilusOperationHandle** handle
      )
| No description available.
`cancel_update` |
    void (* cancel_update) (
        NautilusInfoProvider* provider,
        NautilusOperationHandle* handle
      )
| No description available.

#### Virtual methods

###### Nautilus.InfoProvider.cancel_update

No description available.

###### Nautilus.InfoProvider.update_file_info

No description available.